# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.039.
use strict;
use warnings;



use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "A pragma to declare and organise messaging.",
  "AUTHOR" => "Iain Campbell <cpanic\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Message-String",
  "LICENSE" => "perl",
  "NAME" => "Message::String",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Clone" => 0,
    "DateTime" => 0,
    "Exporter" => 0,
    "List::MoreUtils" => 0,
    "Scalar::Util" => 0,
    "Sub::Util" => 0,
    "Syntax::Feature::Void" => 0,
    "Term::ReadKey" => 0,
    "message" => 0,
    "namespace::clean" => 0,
    "overload" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Capture::Tiny" => 0,
    "Data::Dumper::Concise" => 0,
    "FindBin" => 0,
    "Syntax::Feature::Void" => 0,
    "Test::Deep" => 0,
    "Test::More" => 0,
    "lib" => 0
  },
  "VERSION" => "0.1.0",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Capture::Tiny" => 0,
  "Carp" => 0,
  "Clone" => 0,
  "Data::Dumper::Concise" => 0,
  "DateTime" => 0,
  "Exporter" => 0,
  "FindBin" => 0,
  "List::MoreUtils" => 0,
  "Scalar::Util" => 0,
  "Sub::Util" => 0,
  "Syntax::Feature::Void" => 0,
  "Term::ReadKey" => 0,
  "Test::Deep" => 0,
  "Test::More" => 0,
  "lib" => 0,
  "message" => 0,
  "namespace::clean" => 0,
  "overload" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
